macOS Sierra(OS X 10.12) で wordpress を動かす

By | 2017年1月26日

brew の導入は、ググればたくさん出てくるので割愛。

wordpress は OS X 10.9 or 10.10 で導入済み。

apache 2.4 と php 5.4 の導入は、ほぼ
OS X 10.10 Yosemite, Apache, MySQL, PHP 5.6, (MAMP) Homebrew Dev Setup
に従った。

$ brew update && brew upgrade
で、ワーニングやエラーが何個か出たが、brew のメッセージに従って直した。

▪️apache 2.4 の導入
$ brew install httpd24 –with-privileged-ports –with-brewed-ssl

▪️php 5.4 の導入
$ brew install –homebrew-apxs php54
==> Installing php54 from homebrew/php
Warning: homebrew/php/php54: –homebrew-apxs was deprecated; using –with-homebrew-apxs instead!
Warning: homebrew/php/php54: –with-homebrew-apxs was deprecated; using –with-httpd24 instead!

PHP54 brew 導入後に出るメッセージによると、–homebrew-apxs オプションの代わりに –with-httpd24 を指定するべきだったようだ。
(With the release of macOS Sierra the Apache module is now not built by default. If you want to build it on your system
you have to install php with the –with-httpd24 option. )

▪️apache diff
$ diff httpd.conf.bak httpd.conf
52c52
< Listen 8080 --- > Listen 80
173a174
> LoadModule php5_module /usr/local/Cellar/php54/5.4.45_6/libexec/apache2/libphp5.so
273c274
< DirectoryIndex index.html --- > DirectoryIndex index.html index.php
432a434,436
> AddType application/x-httpd-php .php
> AddType application/x-httpd-php-source .phps
> AddHandler cgi-script .cgi .rb .pl

↓ One クリックがはげみになります↓
にほんブログ村 メンタルヘルスブログ 躁うつ病(双極性障害)へ
にほんブログ村

|人気ブログランキング(双極性障害)へ

にほんブログ村 トラコミュ 双極性障害(そううつ病)と闘おう。へ
双極性障害(そううつ病)と闘おう。

このエントリーをはてなブックマークに追加

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

この記事のトラックバック用URL